> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a database restore

> Restore a database cluster from a point in time or snapshot. Returns the newly created database.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json post /databases/clusters/{database}/restore
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Email
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Edge Networks
  - name: Secrets
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /databases/clusters/{database}/restore:
    post:
      tags:
        - Database Restores
      summary: Create a database restore
      description: >-
        Restore a database cluster from a point in time or snapshot. Returns the
        newly created database.
      operationId: public.databases.clusters.restore
      parameters:
        - name: database
          in: path
          required: true
          description: The database identifier
          schema:
            type:
              - string
              - 'null'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreDatabaseRestoreRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreDatabaseRestoreRequest:
      type: object
      properties:
        name:
          type: string
          description: The name of the new database created from the restore.
          pattern: ^[a-z0-9_-]+$
          minLength: 2
          maxLength: 40
        restore_time:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The point in time to restore the database to. Must not be used with
            database_snapshot_id.
        database_snapshot_id:
          type:
            - string
            - 'null'
      required:
        - name
      title: StoreDatabaseRestoreRequest
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````